import { request } from "@/utils/request";

// 动态菜单请求
export function getAppRouters(param) {
  return request({
    url: "/system/sysMobileMenu/getAppRouters",
    method: "GET",
    data: param,
  });
}

// 动态菜单请求
export function getRouters(param) {
  return request({
    url: "/system/sysMobileMenu/getRouters",
    method: "GET",
    data: param,
  });
}


// 扫码请求
export function scan_push(param) {
  return request({
    url: "/ScanPush/scan_push",
    method: "GET",
    data: param,
  });
}

//echarts图表请求
export function getHomePageData(param) {
  return request({
    url: "/Index/getHomePageData",
    method: "GET",
    data: param,
  });
}

// 未处理告警请求
export function getFunctionalModuleStatistics(param) {
  return request({
    url: "/Index/getFunctionalModuleStatistics",
    method: "GET",
    data: param,
  });
}

//扫码登录PC端
export function qrCodeSend(param) {
  return request({
    url: "/system/qrCodeSend",
    method: "GET",
    data: param,
  });
}

//移动端banner图查询
export function getMobileBanner(param) {
  return request({
    url: "/system/sysMobileBanner/getMobileBanner?tenantId=" + param.tenantId,
    method: "GET",
  });
}
